Skip to content

Update an activity log type

Request

Security
oauth2_client_credentials or oauth2_authorization_code
Path
activityLogTypestringrequired

The activityLogType id.

Query
updateMaskstring

Optional. The list of fields to be updated.

If not provided (i.e., the mask is omitted), the server will update all fields that are populated in the activity_log_type message in this request (i.e., fields that have a non-empty value).

The special value * can be used for a full replacement of the resource, equivalent to a PUT operation. When using *, be cautious as new fields added to the resource in the future will also be updated.

For robust updates, explicitly specifying the fields is recommended.

See AIP-134 (Standard Update) and AIP-161 (Field Masks) for more details.

Bodyapplication/json
namestring, <= 63 characters(name)

(IDENTIFIER)

labelstring, [ 1 .. 100 ] characters(label)required
curl -i -X PATCH \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/activityLogTypes/{activityLogType}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "activityLogTypes/customer-sign-in",
    "label": "string"
  }'

Responses

Success

Bodyapplication/json
namestring, <= 63 characters(name)

(IDENTIFIER)

labelstring, [ 1 .. 100 ] characters(label)required
Response
{ "name": "activityLogTypes/customer-sign-in", "label": "string" }